import javax.swing.text.JTextComponent;
import java.io.*;

    // Provide PrintWriter functionality into a JTextComponent.
public class TextComponentPrintWriter extends PrintWriter {
    public TextComponentPrintWriter(JTextComponent t){
        // Use a StringWriter to collect all printed text.
        // Autoflush.
        super(new StringWriter(),true);
        component = t;
    }

    public void flush(){
        super.flush();
        StringWriter s = (StringWriter) out;
        getComponent().setText(s.toString());
    }

    public void println(){
        super.println();
        flush();
    }

    public void println(String s){
        super.println(s);
        flush();
    }

    private JTextComponent getComponent(){
        return component;
    }

    final private JTextComponent component;
}
