        // Examples of using the CGI POST method to send a
        // string to a server and have it echoed back.
        // The string to send is the concatenation of the program
        // arguments, separated by newlines, and the key name it is sent with
        // is "Echo". The URL expecting this is
        // http://www.cs.ukc.ac.uk/people/staff/djb/cgi-bin/echo.pl

import java.io.*;
import java.net.*;

public class CGIPostMain {
    public static void main(String[] args) {
        if(args.length < 1){
            System.err.println("Usage: java CGIPostMain string ... ");
            System.exit(1);
        }

        // Form the string to send from the command line arguments.
        // Each argument is separated from the others by a newline.
        String request = args[0];
        // Append the rest.
        for(int i = 1; i < args.length; i++){
            request += "\n"+args[i];
        }

        // The key expected by the script.
        final String key = "Echo";
        // Encode the request for sending and prefix the key.
        request = key+"="+URLEncoder.encode(request);

        try{
            System.out.println("Sending: "+request);

            // Send the request as input using the POST method.
            CGIPostClient poster = new CGIPostClient(
                "http://www.cs.ukc.ac.uk/people/staff/djb/cgi-bin/echo.pl");
            System.out.println(poster.post(request));


        }
        catch(Exception e){
            System.err.println(e);
        }
    }
}
