import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

    // Display a JCheckBox component and respond to events on it.
    // The text of a status label is changed when the state of the
    // check box is changed.
class SwingCheckBoxFrame extends JFrame {
    public SwingCheckBoxFrame() {
        final int width = 300, height = 125;
        setSize(width,height);
        Container contents = getContentPane();

        // The status label and strings for it.
        final String willHear = "You will be hearing from us.",
                     wontHear = "You won't be hearing from us.";
        final JLabel status = new JLabel(wontHear,JLabel.CENTER);

        // Create a JCheckBox component. It listens for
        // changes and modifies the status label's string.
        final JCheckBox checkbox =
                    new JCheckBox("Check the box to receive email from us.");
        // Initially the check box is not selected.
        checkbox.setSelected(false);

        // Make the text in the label respond to changes of state.
        checkbox.addItemListener(new ItemListener(){
            public void itemStateChanged(ItemEvent e){
                int change = e.getStateChange();
                if(change == ItemEvent.SELECTED){
                    status.setText(willHear);
                }
                else{
                    status.setText(wontHear);
                }
            }
        });

        // Add the components to a central panel.
        final JPanel togglePanel = new JPanel();
        togglePanel.add(checkbox);
        togglePanel.add(status);
        contents.add(togglePanel,"Center");

        JPanel buttonPanel = new JPanel();
        buttonPanel.add(new QuitJButton());
        contents.add(buttonPanel,"South");
    }
}
