import javax.swing.*;

        // An example of JTabbedPane.
class SwingTabbedMain {
    public static void main(String[] args){
        // Input must be from the file name argument.
        if(args.length == 1){
            try{
                SimpleInput reader = new SimpleInput(args[0]);
                RangeCounts counts = readData(reader);
                // Now display them.
                SwingTabbedFrame f = new SwingTabbedFrame(counts);
                f.addWindowListener(new WindowCloser());
                f.setVisible(true);
            }
            catch(Exception e){
                // File open failure.
                System.err.println(e.getMessage());
                System.exit(1);
            }
        }
        else{
            System.err.println("Usage: java SwingTabbedMain datafile");
            System.exit(1);
        }
    }

        // Read the data to be displayed.
    static RangeCounts readData(SimpleInput reader){
        // The counts to be displayed.
        RangeCounts counts = new RangeCounts();
        try{
            for(int i; ; ){
                i = reader.nextInt();
                counts.addValue(i);
            }
        }
        catch(Exception e){
            // End of input.
        }
        return counts;
    }
}
